@use '../../../global/styles/styles-variables' as *;
@use './styles/info-card.variations' as variations;
@use './styles/info-card.variables' as *;

:host {
	$base: '.digi-info-card';
	@include digi-info-card--variables;
	--BACKGROUND-COLOR: var(--digi--info-card--background-color--single);

	#{$base} {
		&--primary {
			@include variations.primary;
		}

		&--tip {
			@include variations.tip;
		}

		&--related {
			@include variations.related;
		}

		&--secondary {
			@include variations.secondary;
		}


	

		// &--list {
		// 	&__container {
		// 		height: auto;
		// 	}	
		// }
		&--border-top {
			border-top: var(--digi--info-card--border);
		}

		&--border-left {
			border-left: var(--digi--info-card--border);
		}

		background-color: var(--BACKGROUND-COLOR);
		height: 100%;
		display: grid;
		position: relative;
		&__content {
			grid-column: 1;
			grid-row: 1;
			padding: var(--PADDING);
		
		}
		&__icon {
			position: absolute;
			top: 0;
			right: 0;
			transform: translateY(-50%);
		}

		&__heading {
			font-family: var(--digi--global--typography--font-family--default);
			font-size: var(--digi--info-card--heading--font-size--mobile);
			margin-top: 0;
			margin-bottom: 0.5rem;
			font-weight: var(--digi--info-card--heading--font-weight);
			display: block;
			color: var(--COLOR--HEADING);

			@media (min-width: $digi--breakpoint--medium) {
				font-size: var(--digi--info-card--heading--font-size--desktop);
				margin-bottom: 1rem;
			}
		}

		&--active-link #{$base}__heading {
			text-decoration: underline;
		}

		&__link {
			margin-top: var(--MARGIN-TOP);
			display: block;
			font-size: inherit;
			line-height: inherit;
			font-weight: inherit;
		}

		&__link-overlay {
			grid-column: 1;
			grid-row: 1;
			opacity: 0;
		}
	}

}